"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.blocks = void 0;
const hljs = require("highlight.js");
const razor = require("highlightjs-cshtml-razor");
hljs.registerLanguage("cshtml", razor);
function highlight(lang, code) {
    const unmodified = {
        body: code,
        html: false
    };
    lang = lang === null || lang === void 0 ? void 0 : lang.toLowerCase();
    switch (lang) {
        case "cshtml":
        case "ts":
        case "js":
        case "diff":
        case "patch":
        case "cs":
        case "csharp":
        case "fs":
        case "fsharp":
            try {
                return hljs.highlight(code, { language: lang }).value;
            }
            catch (e) {
                console.error(e);
                return unmodified;
            }
        default:
            return unmodified;
    }
}
exports.blocks = {
    code: function (block) {
        return highlight(block.kwargs.language, block.body);
    }
};
